umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Slots | Protected Attributes | List of all members
DiagramsWindow Class Reference

`#include <diagramswindow.h>`

Inheritance diagram for DiagramsWindow:

## Public Slots
void | modified ()

## Public Member Functions
| DiagramsWindow (const QString &title, QWidget *parent=0)
| ~DiagramsWindow ()

## Protected Slots
void | slotDiagramsDoubleClicked (QModelIndex index)
void | slotDiagramsClicked (QModelIndex index)

## Protected Attributes
QTableView * | m_diagramsTree

## Constructor & Destructor Documentation

## ◆ DiagramsWindow()

DiagramsWindow::DiagramsWindow | ( | const QString & | title,
|  | QWidget * | parent = 0 )
| explicit

## ◆ ~DiagramsWindow()

DiagramsWindow::~DiagramsWindow | ( |  | ) |

## Member Function Documentation

## ◆ modified

void DiagramsWindow::modified | ( |  | ) |
| slot

## ◆ slotDiagramsClicked

void DiagramsWindow::slotDiagramsClicked | ( | QModelIndex | index | ) |
| protected slot

## ◆ slotDiagramsDoubleClicked

void DiagramsWindow::slotDiagramsDoubleClicked | ( | QModelIndex | index | ) |
| protected slot

## Member Data Documentation

## ◆ m_diagramsTree

QTableView* DiagramsWindow::m_diagramsTree
| protected

The documentation for this class was generated from the following files:

- umbrello/diagramswindow.h
- umbrello/diagramswindow.cpp